com.intellectualcrafters.plot.listeners

## Class ForceFieldListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.ForceFieldListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class ForceFieldListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

  Created by Citymonstret on 2014-10-24.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForceFieldListener(org.bukkit.plugin.java.JavaPlugin plugin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bukkit.util.Vector` | `calculateVelocity(org.bukkit.entity.Player p, org.bukkit.entity.Player e)`
    `void` | `onPlotEntry(org.bukkit.event.player.PlayerMoveEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForceFieldListener

          public ForceFieldListener(org.bukkit.plugin.java.JavaPlugin plugin)

  - ### Method Detail

    - #### calculateVelocity

          public org.bukkit.util.Vector calculateVelocity(org.bukkit.entity.Player p,
                                                 org.bukkit.entity.Player e)

    - #### onPlotEntry

          public void onPlotEntry(org.bukkit.event.player.PlayerMoveEvent event)